<?php 
ob_start();
session_start();
include("config.php");
if(isset($_POST['btn_submit'])){
	$PettyHead = $_POST['PettyHead'];
	$amount = $_POST['amount'];
	$branch = $_SESSION['BranchId'];
	$from = date('Y').'/'.date('m').'/1';
	$to = date('Y').'/'.date('m').'/'.date('t');
	
	$sql1 = mysqli_query($conn, "select sum(amount) as TotalPaid from petty_transaction  where (cast(entrydate as DATE) >= '$from' and cast(entrydate as DATE) <= '$to') and branch_id = '$_SESSION[BranchId]' and accept = 1");
	$rows1 = mysqli_fetch_assoc($sql1);
	
	$sql2 = mysqli_query($conn, "select sum(trans_amount) as TotalExpenses from petty_transaction where (cast(entrydate as DATE) >= '$from' and cast(entrydate as DATE) <= '$to') and branch_id = '$_SESSION[BranchId]'");
	$rows2 = mysqli_fetch_assoc($sql2);
	$Res = $rows1['TotalPaid'] - ($rows2['TotalExpenses']+$amount);
	/* Resize Bill Image */
			function imageResize2($imageResourceId,$width,$height) {
				$targetWidth =300;
				$targetHeight =600;
				$targetLayer=imagecreatetruecolor($targetWidth,$targetHeight);
				imagecopyresampled($targetLayer,$imageResourceId,0,0,0,0,$targetWidth,$targetHeight, $width,$height);
				return $targetLayer;
			}
			/* Resize Bill Image */
	
	if($Res>=0){
		if(!empty($_FILES['bill']['size'])) {
			$file = $_FILES['bill']['tmp_name']; 
			$sourceProperties = getimagesize($file);
			$fileNewName = time();
			$folderPath = "upload/petty-receipt/";
			$ext = pathinfo($_FILES['bill']['name'], PATHINFO_EXTENSION);
			$imageType = $sourceProperties[2];
			
			if($ext == "png" or $ext == "PNG" or $ext == "jpg" or $ext == "JPG" or $ext == "jpeg" or $ext == "JPEG" or $ext == "gif" or $ext == "GIF"){
				switch ($imageType) {


					case IMAGETYPE_PNG:
						$imageResourceId = imagecreatefrompng($file); 
						$targetLayer = imageResize2($imageResourceId,$sourceProperties[0],$sourceProperties[1]);
						imagepng($targetLayer,$folderPath. $fileNewName. "_thump.". $ext);
						break;


					case IMAGETYPE_GIF:
						$imageResourceId = imagecreatefromgif($file); 
						$targetLayer = imageResize2($imageResourceId,$sourceProperties[0],$sourceProperties[1]);
						imagegif($targetLayer,$folderPath. $fileNewName. "_thump.". $ext);
						break;


					case IMAGETYPE_JPEG:
						$imageResourceId = imagecreatefromjpeg($file); 
						$targetLayer = imageResize2($imageResourceId,$sourceProperties[0],$sourceProperties[1]);
						imagejpeg($targetLayer,$folderPath. $fileNewName. "_thump.". $ext);
						break;


					default:
						$_SESSION['data2'] = "error";
						$_SESSION['msg'] = "Invalid Image type.";
						exit;
						break;
				}
			}
			$BillPath = $folderPath.$fileNewName.".".$ext;
			
			move_uploaded_file($file, $folderPath. $fileNewName. ".". $ext);
			$sql = mysqli_query($conn, "INSERT INTO `petty_transaction` (`branch_id`, `pid`, `trans_amount`, `bill_attached_path`) VALUES ('$branch', '$PettyHead', '$amount', '$BillPath');");
			if($sql){
				$_SESSION['data1'] = "ok";
				$_SESSION['msg'] = "Amount updated in branch wallet successfully";		
			}else{
				$_SESSION['data2'] = "error";
				$_SESSION['msg'] = "Some internal error! Please contact to administrator";
			}
		}else{
			$sql = mysqli_query($conn, "INSERT INTO `petty_transaction` (`branch_id`, `pid`, `trans_amount`, `bill_attached_path`) VALUES ('$branch', '$PettyHead', '$amount', 'null');");
			if($sql){
				$_SESSION['data1'] = "ok";
				$_SESSION['msg'] = "Amount updated in branch wallet successfully";		
			}else{
				$_SESSION['data2'] = "error";
				$_SESSION['msg'] = "Some internal error! Please contact to administrator";
			}
		}	
	}else{
		$_SESSION['data2'] = "error";
		$_SESSION['msg'] = "Insufficient balance please recharge your wallet";
	}	
	
	
	
}
include("header.php");
?>
    <!-- Sidebar menu-->
    <div class="app-sidebar__overlay" data-toggle="sidebar"></div>
	<?php include("menu.php"); ?>
    <main class="app-content">
      <div class="app-title">
        <div>
          <h1><i class="fa fa-dashboard"></i> Petty Cash</h1>
         
        </div>
        <ul class="app-breadcrumb breadcrumb">
          <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
          <li class="breadcrumb-item"><a href="#">Petty Cash</a></li>
        </ul>
      </div>
      <div class="row">
        <div class="col-md-6">
			<div class="tile">
            <div class="tile-body">
			<?php
			if(isset($_SESSION['data1'])){
			?>	
				<div class="alert alert-success alert-dismissible">
				  <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
				  <strong>Success!</strong> <?php echo $_SESSION['msg']; ?>
				</div>
			<?php
			unset($_SESSION['data1']);
			unset($_SESSION['msg']);
			}if(isset($_SESSION['data2'])){
			?>	
				<div class="alert alert-danger alert-dismissible">
				  <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
				  <strong>Error!</strong> <?php echo $_SESSION['msg']; ?>
				</div>
			<?php
			unset($_SESSION['data2']);
			unset($_SESSION['msg']);
			}
			?>
              <form action = "" method = "POST" enctype="multipart/form-data">
                <div class="form-group">
                  <label class="control-label">Select Expense Head</label>
                  <?php
					
					$sql = mysqli_query($conn, "select * from petty_head where active = 1 ");
				  ?>
					<select name = "PettyHead" id = "PettyHead" class = "form-control" required>
						<option value = "">Select Expense Head</option>
						<?php
							while($rows = mysqli_fetch_assoc($sql)){
						?>
							<option value = "<?php echo $rows['pid']; ?>"><?php echo $rows['petty_head']; ?></option>
						<?php
							}
						?>
					</select>
                </div>
				<div class="form-group" id = "PettyHead_response">
                  
                </div>
				
                <div class="form-group">
                  <label class="control-label">Enter Amount</label>
                  <input class="form-control" type="number" name = "amount" placeholder="Enter the amount" required>
                </div>
				<div class="form-group">
                    <label for="exampleInputFile">Attached Bill/Invoice</label>
                    <input class="form-control-file" id="exampleInputFile" name = "bill" type="file" aria-describedby="fileHelp"><small class="form-text text-muted" id="fileHelp">Accepted only image/photo</small>
                  </div>
               
				<div class="tile-footer">
				  <button class="btn btn-primary" type="submit" name = "btn_submit"><i class="fa fa-fw fa-lg fa-check-circle"></i>Submit</button>
				</div>
              </form>
            </div>
           
          </div>
        </div>
      </div>
    </main>
    <!-- Essential javascripts for application to work-->
    <script src="js/jquery-3.2.1.min.js"></script>
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/main.js"></script>
    <!-- The javascript plugin to display page loading on top-->
    <script src="js/plugins/pace.min.js"></script>
    <script src="js/app.js"></script>
    <!-- Page specific javascripts-->
   
  </body>
</html>