<?php
ob_start();
session_start();
include("config.php");


if (PHP_SAPI == 'cli')
	die('This example should only be run from a Web Browser');

/** Include PHPExcel */
require_once dirname(__FILE__) . '/PHPExcel/Classes/PHPExcel.php';


// Create new PHPExcel object
$objPHPExcel = new PHPExcel();

// Set document properties
$objPHPExcel->getProperties()->setCreator("Arvind Kumar mishra")
							 ->setLastModifiedBy("Arvind Kumar mishra")
							 ->setTitle("Office 2007 XLSX Test Document")
							 ->setSubject("Office 2007 XLSX Test Document")
							 ->setDescription("Test document for Office 2007 XLSX, generated using PHP classes.")
							 ->setKeywords("office 2007 openxml php")
							 ->setCategory("Test result file");
							 
///////////////////////////////Header Part/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Do Not Change							 
$objPHPExcel->getActiveSheet(0)
        ->getStyle('A1:O1')
        ->getFill()
        ->setFillType(PHPExcel_Style_Fill::FILL_SOLID)
        ->getStartColor('FFF')
        ->setRGB('009688');
        
//$objPHPExcel->getActiveSheet(0)->freezePane('A1');
$styleArray = array(
'font'  => array(
    'bold'  => true,
    'color' => array('rgb' => 'FFFFFF'),
    'size'  => 12,
    'name'  => 'lato'
));
$objPHPExcel->getActiveSheet(0)->getStyle('A1:O1')->applyFromArray($styleArray);


// Add some data
$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', 'Name')
            ->setCellValue('B1', 'Email')
            ->setCellValue('C1', 'Contact')
            ->setCellValue('D1', 'Status')
            ->setCellValue('E1', 'State')
            ->setCellValue('F1', 'City')
            ->setCellValue('G1', 'Country')
            ->setCellValue('H1', 'Entry Date')
            ->setCellValue('I1', 'Divided By')
            ->setCellValue('J1', 'Attended By')
            ->setCellValue('K1', 'Source')
            ->setCellValue('L1', 'Branch')
            ->setCellValue('M1', 'Lead History');
            



if(isset($_POST['company'])){
						    
	$company = $_POST['company'];
	
}else{
    
    $company = $_SESSION['CompanyId'];
}

if(isset($_POST['branch'])){
    
	$branch = $_POST['branch'];
}

if(isset($_POST['source'])){
    
	$source = $_POST['source'];
}else{
    
    $branch = $_SESSION['BranchId'];
}

$from = date("Y-m-d", strtotime($_POST['from']));
$to = date("Y-m-d", strtotime($_POST['to']));

 






 if($branch == 'all' and $source == 'all'){
     

    	                    
$sql = mysqli_query($conn, "SELECT  branch_id,source_id,status,entrydate,full_name,email,phone_number,state,city,country,entryby,leads_id,user_id FROM `user_wise_leads_data` WHERE company_id = $company and (cast(entrydate as DATE)>='$from' and cast(entrydate as DATE)<='$to') order by full_name");
  
}elseif( $source == 'all'){
    


$sql = mysqli_query($conn, "SELECT  branch_id,source_id,status,entrydate,full_name,email,phone_number,state,city,country,entryby,leads_id,user_id FROM `user_wise_leads_data` WHERE branch_id = $branch and company_id = $company and (cast(entrydate as DATE)>='$from' and cast(entrydate as DATE)<='$to') order by full_name ");

}elseif($branch == 'all' ){
    
    


$sql = mysqli_query($conn, "SELECT  branch_id,source_id,status,entrydate,full_name,email,phone_number,state,city,country,entryby,leads_id,user_id FROM `user_wise_leads_data` WHERE company_id = $company and (cast(entrydate as DATE)>='$from' and cast(entrydate as DATE)<='$to') and source_id = '$source' order by full_name");

}else{	
    


$sql = mysqli_query($conn, "SELECT  branch_id,source_id,status,entrydate,full_name,email,phone_number,state,city,country,entryby,leads_id,user_id FROM `user_wise_leads_data` WHERE branch_id = $branch and source_id = $source and company_id = $company  and  (cast(entrydate as DATE)>='$from' and cast(entrydate as DATE)<='$to') order by full_name");

    
    
}
$rows = 2;
while($rows2 = mysqli_fetch_assoc($sql)){

       $sql12 = mysqli_query($conn, "SELECT branch_name FROM `leads_branch_master` WHERE branch_id = $rows2[branch_id] limit 1");
       $rows12 = mysqli_fetch_assoc($sql12);
       $BranchName =  $rows12['branch_name'];
      
       $sql121 = mysqli_query($conn, "SELECT source_name FROM `source` WHERE source_id = $rows2[source_id] limit 1");
       $rows121 = mysqli_fetch_assoc($sql121);
       $SourceName =  $rows121['source_name'];
       
       $sql12199 = mysqli_query($conn, "SELECT user_name FROM `user_login` WHERE user_id = $rows2[user_id] limit 1");
       $rows12199 = mysqli_fetch_assoc($sql12199);
       $UserName =  $rows12199['user_name'];
       
        $sql233335 = mysqli_query($conn, "SELECT entrydate,comment,fallowup_date FROM leads_transaction_history WHERE leads_id = $rows2[leads_id] AND  user_id = $rows2[user_id] ORDER BY Leads_trans_id DESC ");
       
       
         if($rows2['status']==1) { 
       
         $stat1 =  'follow-up'; 
         
         } elseif($rows2['status']==2) {
         
         $stat1 = 'success'; 
         
         } elseif($rows2['status']==3) { 
         
         $stat1 = 'closed'; 
         
         }elseif($rows2['status']==4) { 
         
         $stat1 = 'permanent-closed'; 
         
         }elseif($rows2['status']==0) { 
         
         $stat1 = 'Pending'; 
         
         }
       
       
        
        $entry_date = date('d-m-Y h:i:s', strtotime($rows2['entrydate']));
        $objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A'.$rows, $rows2['full_name'])
            ->setCellValue('B'.$rows, $rows2['email'])
            ->setCellValue('C'.$rows, $rows2['phone_number'])
            ->setCellValue('D'.$rows, $stat1)
            ->setCellValue('E'.$rows, $rows2['state'])
            ->setCellValue('F'.$rows, $rows2['city'])
            ->setCellValue('G'.$rows, $rows2['country'])
            ->setCellValue('H'.$rows, $entry_date)
            ->setCellValue('I'.$rows, $rows2['entryby'])
            ->setCellValue('J'.$rows, $UserName)
            ->setCellValue('K'.$rows, $SourceName)
            ->setCellValue('L'.$rows, $BranchName)
             ->setCellValue('M'.$rows, 'Lead Transaction Details');
        $rows++;
       
        $objPHPExcel->getActiveSheet(0)
        ->getStyle('L'.$rows.':'.'O'.$rows)
        ->getFill()
        ->setFillType(PHPExcel_Style_Fill::FILL_SOLID)
        ->getStartColor('FFF')
        ->setRGB('17A2B8');
        
        $objPHPExcel->getActiveSheet(0)->getStyle('L'.$rows.':'.'O'.$rows)->applyFromArray($styleArray);
       $objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A'.$rows, "")
            ->setCellValue('B'.$rows, "")
            ->setCellValue('C'.$rows, "")
            ->setCellValue('D'.$rows, "")
            ->setCellValue('E'.$rows, "")
            ->setCellValue('F'.$rows, "")
            ->setCellValue('G'.$rows, "")
            ->setCellValue('H'.$rows, "")
            ->setCellValue('I'.$rows, "")
            ->setCellValue('J'.$rows, "")
            ->setCellValue('K'.$rows, "")
            ->setCellValue('L'.$rows, "")
            ->setCellValue('M'.$rows, 'Last Call Date')
            ->setCellValue('N'.$rows, 'Last Comment')
            ->setCellValue('O'.$rows, 'Future Follow-up-date');
         
       $rows++;
    
		 while($rows233335 = mysqli_fetch_assoc($sql233335)){
		     $date5 = date('d/m/Y h:i:s', strtotime($rows233335['entrydate']));
		     $date6 = date('d/m/Y', strtotime($rows233335['fallowup_date']));
		     
		  $objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A'.$rows, "")
            ->setCellValue('B'.$rows, "")
            ->setCellValue('C'.$rows, "")
            ->setCellValue('D'.$rows, "")
            ->setCellValue('E'.$rows, "")
            ->setCellValue('F'.$rows, "")
            ->setCellValue('G'.$rows, "")
            ->setCellValue('H'.$rows, "")
            ->setCellValue('I'.$rows, "")
            ->setCellValue('J'.$rows, "")
            ->setCellValue('K'.$rows, "")
            ->setCellValue('L'.$rows, "")
            ->setCellValue('M'.$rows, $date5)
            ->setCellValue('N'.$rows, $rows233335['comment'])
            ->setCellValue('O'.$rows, $date6);
		     
    	    $rows++;
		 }	
}
//First sheet
    $sheet = $objPHPExcel->getActiveSheet();

    //Start adding next sheets
  
      $objWorkSheet = $objPHPExcel->createSheet(1); //Setting index when creating

      //Write cells
      $objWorkSheet->setCellValue('A1', 'New Leads')
                   ->setCellValue('A2', 'Pending Leads!')
                   ->setCellValue('A3', 'Success Leads')
                    ->setCellValue('A4', 'Close Leads')
                    ->setCellValue('A5', 'Follow-Leads')
                   ->setCellValue('A6', 'Total Leads');

      // Rename sheet
  

// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('Source Status Wise Report');
$objWorkSheet->setTitle("Consoledate Report");



// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);


// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="source-status-wise-report.xlsx"');
header('Cache-Control: max-age=0');
// If you're serving to IE 9, then the following may be needed
header('Cache-Control: max-age=1');

// If you're serving to IE over SSL, then the following may be needed
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
exit;



