<?php 
ob_start();
session_start();
include("config.php");
include("header.php");

?>

    <!-- Sidebar menu-->
    <div class="app-sidebar__overlay" data-toggle="sidebar"></div>
    <?php include("menu.php"); ?>
    <main class="app-content">
      <div class="app-title">
        <div>
          <h1><i class="fa fa-dashboard"></i> Dashboard</h1>
        </div>
        <ul class="app-breadcrumb breadcrumb">
          <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
          <li class="breadcrumb-item"><a href="#">Dashboard</a></li>
        </ul>
      </div>
	<?php
	if($_SESSION['UserType'] == 'AH'){
		$months = array(1 => 'Jan.', 2 => 'Feb.', 3 => 'Mar.', 4 => 'Apr.', 5 => 'May', 6 => 'Jun.', 7 => 'Jul.', 8 => 'Aug.', 9 => 'Sep.', 10 => 'Oct.', 11 => 'Nov.', 12 => 'Dec.');
	?>
		<div class="row">
			<div class="col-md-12">
				<div class="tile">
					<h3 class="tile-title">Branch Wise Petty Cash 2019-20</h3>
					<table class="table" id = "sampleTable">
					  <thead>
						<tr>
						  <th scope="col">Branch Name</th>
							<?php
								foreach ($months as $num => $name) {
							?>		
									<th scope = "col"><?php echo $name; ?></th>
							<?php		
								}
							?>
						</tr>
					  </thead>
					  <tbody>
						<?php
							if($_SESSION['UserType'] == 'BC' ){
								$sql = mysqli_query($conn, "select * from leads_branch_master where branch_id = '$_SESSION[BranchId]' and state_id !=60 order by branch_name ASC");
							}else{
								$sql = mysqli_query($conn, "select * from leads_branch_master where state_id !=60 order by branch_name ASC");
							}
						while($rows65 = mysqli_fetch_assoc($sql)){	
						?>
						<tr>
							<th><?php echo $rows65['branch_name']; ?></th>
							<?php
								foreach ($months as $num => $name) {
									 
									$sql69 = mysqli_query($conn, "select sum(trans_amount) as TotalAmt from petty_transaction where branch_id = '$rows65[branch_id]' and month(`entrydate`) = '$num'");
									$rows69 = mysqli_fetch_assoc($sql69);
									
							?>		
									<td scope = "col"><?php echo number_format($rows69['TotalAmt']); ?></td>
							<?php		
								}
							?>
						</tr>
						<?php
						}
						?>
						
					  </tbody>
					</table>
				</div>
			</div>
		</div>
	<?php
	}else{

		if($_SESSION['UserType'] == 'C'){
			$sql2 = mysqli_query($conn, "select count(user_id) as AllLeads from user_wise_leads_data where user_id = $_SESSION[UserId] and company_id = '$_SESSION[CompanyId]' and status != 4");
		}elseif($_SESSION['UserType'] == 'BC'){
			$sql2 = mysqli_query($conn, "select count(user_id) as AllLeads from user_wise_leads_data where user_id = '$_SESSION[UserId]' and company_id = '$_SESSION[CompanyId]' and status != 4 and branch_id = '$_SESSION[BranchId]'");
		}else{
			$sql2 = mysqli_query($conn, "select count(user_id) as AllLeads from user_wise_leads_data where status != 4 ");
		}	
		$rows2 = mysqli_fetch_assoc($sql2);
		
		if($_SESSION['UserType'] == 'C'){
			$sql229 = mysqli_query($conn, "select count(user_id) as pending from user_wise_leads_data where user_id = $_SESSION[UserId] and status = 0 and company_id = '$_SESSION[CompanyId]'");
		}elseif($_SESSION['UserType'] == 'BC'){
			$sql229 = mysqli_query($conn, "select count(user_id) as pending from user_wise_leads_data where user_id = '$_SESSION[UserId]' and status = 0 and company_id = '$_SESSION[CompanyId]' and branch_id = '$_SESSION[BranchId]'");
		}else{
			$sql229 = mysqli_query($conn, "select count(user_id) as pending from user_wise_leads_data where status = 0");
		}	
		
		$rows229 = mysqli_fetch_assoc($sql229);
		
		if($_SESSION['UserType'] == 'C'){
			$sql22 = mysqli_query($conn, "select count(user_id) as FollowUp from user_wise_leads_data where user_id = $_SESSION[UserId] and status = 1 and company_id = '$_SESSION[CompanyId]'");
		}elseif($_SESSION['UserType'] == 'BC'){
			$sql22 = mysqli_query($conn, "select count(user_id) as FollowUp from user_wise_leads_data where user_id = '$_SESSION[UserId]' and status = 1 and company_id = '$_SESSION[CompanyId]' and branch_id = '$_SESSION[BranchId]'");
		}else{
			$sql22 = mysqli_query($conn, "select count(user_id) as FollowUp from user_wise_leads_data where status = 1");
		}	
		
		$rows22 = mysqli_fetch_assoc($sql22);
		
		if($_SESSION['UserType'] == 'C'){
			$sql23 = mysqli_query($conn, "select count(user_id) as Success from user_wise_leads_data where user_id = $_SESSION[UserId] and status = 2 and company_id = '$_SESSION[CompanyId]'");
		}elseif($_SESSION['UserType'] == 'BC'){
			$sql23 = mysqli_query($conn, "select count(user_id) as Success from user_wise_leads_data where user_id = '$_SESSION[UserId]' and status = 2 and company_id = '$_SESSION[CompanyId]' and branch_id = '$_SESSION[BranchId]'");
		}else{
			$sql23 = mysqli_query($conn, "select count(user_id) as Success from user_wise_leads_data where status = 2");
		}	

		$rows23 = mysqli_fetch_assoc($sql23);
		
		/* $sql233 = mysqli_query($conn, "select count(user_id) as Close from user_wise_leads_data where user_id = $rows[user_id] and status = 3");
		$rows233 = mysqli_fetch_assoc($sql233); */
		?>	
	 
	  
	  
      <div class="row">
        <div class="col-md-6 col-lg-3">
          <div class="widget-small primary coloured-icon"><i class="icon fa fa-users fa-3x"></i>
            <div class="info">
              <h4>Total Leads</h4>
              <p><b><?php echo number_format($rows2['AllLeads']); ?></b></p>
            </div>
          </div>
        </div>
        <div class="col-md-6 col-lg-3">
          <div class="widget-small info coloured-icon"><i class="icon fa fa-thumbs-o-up fa-3x"></i>
            <div class="info">
              <h4>Success </h4>
              <p><b><?php echo number_format($rows23['Success']); ?></b></p>
            </div>
          </div>
        </div>
        <div class="col-md-6 col-lg-3">
          <div class="widget-small warning coloured-icon"><i class="icon fa fa-files-o fa-3x"></i>
            <div class="info">
              <h4>Pending</h4>
              <p><b><?php echo number_format($rows229['pending']); ?></b></p>
            </div>
          </div>
        </div>
        <div class="col-md-6 col-lg-3">
          <div class="widget-small primary coloured-icon"><i class="icon fa fa-star fa-3x"></i>
            <div class="info">
              <h4>Follow-Up</h4>
              <p><b><?php echo number_format($rows22['FollowUp']); ?></b></p>
            </div>
          </div>
        </div>
		

      </div>
      <div class="row">
        <div class="col-md-12">
          <div class="tile">
            <h3 class="tile-title">Target & Achieved Chart</h3>
           
            <div class="">
                 
                <!-- Include fusioncharts core library -->
                <script type="text/javascript" src="fusionjs/fusioncharts.js"></script>
                <!-- Include fusion theme -->
                <script type="text/javascript" src="fusionjs/themes/fusioncharts.theme.fusion.js"></script>
                <script>
                 const dataSource = {
                  chart: {
                    caption: "Branch Wise Achieved Target Graph",
                    subcaption: "",
                    yaxisname: "Target",
                    numvisibleplot: "8",
                    labeldisplay: "auto",
                    theme: "carbon",
                    "exportenabled": "1",
                    "exportformats": "PNG=Export as High Quality Image|PDF=Export as Printable Document|XLS=Export Chart Data"
                  },
                  categories: [
                    {
                      category: [
                         <?php
                       if($_SESSION['UserType'] == 'BC' or $_SESSION['UserType'] == 'C'){
                            $sql85 = mysqli_query($conn, "select * from leads_branch_master where branch_id  not in (92,94,91,45,95) and branch_id = '$_SESSION[BranchId]' and company_id = '$_SESSION[CompanyId]' order by target DESC");
                        }else{
                            $sql85 = mysqli_query($conn, "select * from leads_branch_master where branch_id  not in (92,94,91,45,95) order by target DESC");
                        }
                        while($rows85 = mysqli_fetch_assoc($sql85)){
                        ?>   
                            {
                              label: "<?php echo $rows85['branch_name']; ?>"
                            },
                             
                        <?php      
                        }
                        ?>  
                      ]
                    }
                  ],
                  dataset: [
                    {
                      seriesname: "Registration Target",
                      data: [
                        <?php
                        if($_SESSION['UserType'] == 'BC' or $_SESSION['UserType'] == 'C'){
                            $sql855 = mysqli_query($conn, "select * from leads_branch_master where branch_id  not in (92,94,91,45,95) and branch_id = '$_SESSION[BranchId]' and company_id = '$_SESSION[CompanyId]' order by target DESC");
                        }else{
                            $sql855 = mysqli_query($conn, "select * from leads_branch_master where branch_id  not in (92,94,91,45,95) order by target DESC");
                        }
                        while($rows855 = mysqli_fetch_assoc($sql855)){
                        ?>   
                            {
                              value: "<?php echo $rows855['target']; ?>"
                            },
                             
                        <?php      
                        }
                        ?>  
                      ]
                    },
                    {
                      seriesname: "Achieved Target",
                      data: [
                        <?php
                        if($_SESSION['UserType'] == 'BC' or $_SESSION['UserType'] == 'C'){
                            $sql8555 = mysqli_query($conn, "select * from leads_branch_master where branch_id  not in (92,94,91,45,95) and branch_id = '$_SESSION[BranchId]' and company_id = '$_SESSION[CompanyId]' order by target DESC");
                        }else{
                            $sql8555 = mysqli_query($conn, "select * from leads_branch_master where branch_id  not in (92,94,91,45,95) order by target DESC");
                        }
                        while($rows8555 = mysqli_fetch_assoc($sql8555)){
                           
                          $sql2335 = mysqli_query($conn, "select count(user_id) as Success from user_wise_leads_data where status = 2 and company_id = '$rows8555[company_id]' and branch_id = '$rows8555[branch_id]'");
                          $rows2335 = mysqli_fetch_assoc($sql2335);
                    		
                        ?>   
                            {
                              value: "<?php echo $rows2335['Success']; ?>"
                            },
                             
                        <?php      
                        }
                        ?>    
                      ]
                    }
                  ]
                };
                
                FusionCharts.ready(function() {
                  var myChart = new FusionCharts({
                    type: "scrollcolumn2d",
                    renderAt: "chart-container",
                    width: "100%",
                    height: "100%",
                    dataFormat: "json",
                    dataSource
                  }).render();
                });
                
                </script>
                <div id="chart-container" style = "height:600px"></div>
               
            </div>
          </div>
        </div>
      </div>
      
      
      
       
      
      
      
      
      
		
	
	<?php
	}
	?>
      </div>
    </main>
     <!-- Essential javascripts for application to work-->
    <script src="js/jquery-3.2.1.min.js"></script>
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/main.js"></script>
    <!-- The javascript plugin to display page loading on top-->
    <script src="js/plugins/pace.min.js"></script>
	 <script src="js/app.js"></script>
   
     

<!--- Grpahilaclly representaion script ends--->       
  </body>
</html>