<?php 
ob_start();
session_start();
include("config.php");
include("header.php");
$months = array(1 => 'Jan.', 2 => 'Feb.', 3 => 'Mar.', 4 => 'Apr.', 5 => 'May', 6 => 'Jun.', 7 => 'Jul.', 8 => 'Aug.', 9 => 'Sep.', 10 => 'Oct.', 11 => 'Nov.', 12 => 'Dec.');
?>
    <!-- Sidebar menu-->
    <div class="app-sidebar__overlay" data-toggle="sidebar"></div>
	<?php include("menu.php"); ?>
    <main class="app-content">
      <div class="app-title">
        <div>
          <h1><i class="fa fa-dashboard"></i> Petty Cash Report</h1>
         
        </div>
        <ul class="app-breadcrumb breadcrumb">
          <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
          <li class="breadcrumb-item"><a href="#">Petty Cash Report</a></li>
        </ul>
      </div>
	  
	  
      <div class="row">
        <div class="col-md-12">
			<div class="tile">
            <div class="tile-body">
                <form name = "f1" action = "" method = "POST">
    				<table class="table table-bordered">
    					<tbody>
    					
    					  <tr>
    					        <td>
    					               <select name="month" class = "form-control" required>
                                    <?php
                                        foreach ($months as $num => $name) {
                                            printf('<option value="%u">%s</option>', $num, $name);
                                        }
                                    ?>
                                </select>
                                </td>
    					      
    					      
    					      
    						<td>
    						      <?php
                					$sql = mysqli_query($conn, "select * from leads_branch_master order by branch_name ASC");
                				  ?>
                					<select name = "branch" class = "form-control" required>
                						<option value = "">Select Branch</option>
                						<?php
                							while($rows = mysqli_fetch_assoc($sql)){
                							    if($rows['branch_id'] == $_POST['branch']){
                						?>
                							        <option value = "<?php echo $rows['branch_id']; ?>" selected><?php echo $rows['branch_name']; ?></option>
                						<?php
                							    }else{
                						?>
                						            <option value = "<?php echo $rows['branch_id']; ?>" ><?php echo $rows['branch_name']; ?></option>
                						<?php
                							    }
                							}
                						?>
                					</select>
    						    
    						</td>
    						<td>
    						    <input type = "submit" value = "Search" class = "btn btn-success" name = "btn_search">
    						    
    						</td>
    					
    					  </tr>
    					
    					</tbody>
    				</table>
				</form>
                
				<div class="tile-footer">
					<table class="table table-bordered">
						<thead>
						  <tr>
							<th>Date&nbsp;Time</th>
							<th>Head</th>
							<th>Bill Attatched</th>
							<th>In</th>
							<th>Out</th>
							<th>Balance</th>
							
						  </tr>
						</thead>
						<tbody>
						<?php
						if(isset($_POST['btn_search'])){
						    $m = $_POST['month'];
							$from = date("Y-$m-01");
							$to = date("Y-$m-d");
							$branch = $_POST['branch'];
							
    						$sql22 = mysqli_query($conn, "select * from petty_transaction where (cast(entrydate as DATE) >= '$from' and cast(entrydate as DATE) <= '$to') and branch_id = '$branch' order by entrydate ASC");
    						$Balance = 0;
    						$in = 0;
    						$out = 0;
    						while ($rows22 = mysqli_fetch_assoc($sql22)) {
    							
							$sql222 = mysqli_query($conn, "select * from petty_head where pid = '$rows22[pid]'");
							$rows222 = mysqli_fetch_assoc($sql222);
    								
    							
    						if($rows22['amount']>0){
    							$Balance = $Balance + $rows22['amount'] - $rows22['trans_amount'];
    						}elseif($rows22['trans_amount']>0){
    							$Balance = $Balance - $rows22['trans_amount'];
    						}
    						$in = $in + $rows22['amount'];
    						$out = $out + $rows22['trans_amount'];
    						    
							?>
							
    							<tr>
    								<td><?php echo date('d/m/Y H:i', strtotime($rows22['entrydate'])); ?></td>
    								<td><strong><?php echo $rows222['petty_head']; ?></strong> <small><?php echo $rows222['petty_label']; ?></small></td>
    								<td><?php if(empty($rows22['bill_attached_path']) or $rows22['bill_attached_path'] == 'null'){ echo "file not found"; }else{ ?><a href = "https://www.ruseducation.co//<?php echo $rows22['bill_attached_path']; ?>" target = "new">View Bill</a><?php } ?></td>
    								<td><?php echo number_format($rows22['amount']); ?></td>
    								<td><?php echo number_format($rows22['trans_amount']); ?></td>
    								<td><?php if(isset($Balance)){ echo number_format($Balance); }else{ echo 0; } ?></td>
    							</tr>
							<?php
    						
    						
    						}
    						?>
    						    
    					<?php	
    						
    					}
							
						?>
						</tbody>
					</table>  
				</div>
              
            </div>
           
          </div>
        </div>
      </div>
    </main>
    <!-- Essential javascripts for application to work-->
    <script src="js/jquery-3.2.1.min.js"></script>
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/main.js"></script>
    <!-- The javascript plugin to display page loading on top-->
    <script src="js/plugins/pace.min.js"></script>
    <script src="js/app.js"></script>
    <!-- Page specific javascripts-->
   
  </body>
</html>