<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Api extends CI_Controller{
	
	function __construct(){
		parent::__construct();
		date_default_timezone_set('Asia/Calcutta');
		// require_once('class.phpmailer.php');
		// require_once('class.smtp.php');
		// $this->load->database('rusedu');
		$this->load->database();
		$this->load->database('default');
		
	}
	
	

	public function index(){
		echo json_encode(array('status' => 400, 'message' => 'Restricted'));
		exit;
	}
	
	/* Home method Start */
	public function home(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For Banner  start*/
				$sql2 =  $this->db->query("select * from banner where active = '1' ");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/".$rows2->banner_path);	
					$data['banner'][] = array("Path"=>$path2,"caption"=>$rows2->caption);
				}
				/* End Banner Coding */
				
				
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Home method End */
	
	
	/* University method Start */
	public function university(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For University start*/
				$sql2 =  $this->db->query("select * from university order by sort ASC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/admin/".$rows2->image_path);
					$about = $this->db->escape($rows2->about);
					$desc = $this->db->escape($rows2->description);
					$data['university'][] = array("id"=>$rows2->id, "path"=>$path2,"name"=>$rows2->name,"description"=>$desc,"about"=>$about);
				}
				/* End University Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* University method End */
	
	/* course method Start */
	public function course(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For course start*/
				$sql2 =  $this->db->query("select * from course order by name ASC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/".$rows2->banner);
					$desc = $this->db->escape($rows2->description);
					$data['course'][] = array("id"=>$rows2->id, "path"=>$path2,"name"=>$rows2->name,"description"=>$desc);
				}
				/* End course Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Course Methods End */
	
	/* Latest News method Start */
	public function news(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For news start*/
				$sql2 =  $this->db->query("select * from add_news order by date ASC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/admin/".$rows2->image_news);
					$desc = $this->db->escape($rows2->description_news);
					$date = $this->db->escape("$rows2->date");
					$time = $this->db->escape("$rows2->time");
					$data['news'][] = array("id"=>$rows2->id_news, "path"=>$path2,"name"=>$rows2->name_news,"description"=>$desc,"location"=>$rows2->location_news);
				}
				/* End news Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Latest News Methods End */
	
	/* Latest Event method Start */
	public function event(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For event start*/
				$sql2 =  $this->db->query("select * from add_event order by date_event ASC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/admin/".$rows2->image_event);
					$desc = $this->db->escape(str_replace('"', '', $rows2->description_event));
					$date = $this->db->escape("$rows2->date_event");
					$time = $this->db->escape("$rows2->time_event");
					$data['event'][] = array("id"=>$rows2->id_event, "path"=>$path2,"name"=>$rows2->name_event,"description"=>$desc,"location"=>$rows2->location_event);
				}
				/* End event Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Latest Event Methods End */
	
	/* Branches method Start */
	public function branches(){
		header("Access-Control-Allow-Origin:*");
		header("Access-Control-Allow-Credentials:true");
		header("Access-Control-Max-Age: 1728000");
		header('Content-Type: application/json', true);
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD'])){
				header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
			}
			
			if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS'])){
				header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
			}

			exit(0);
		}
		if($_SERVER['REQUEST_METHOD']=='GET'){
			echo json_encode(array('status' => 400, 'message' => 'Restricted'));
			exit;
		}
	  
		if($_SERVER['REQUEST_METHOD']=='POST'){
			$key9 = "rusEducation@123";
			function getRequestHeaders() {
				$headers = array();
				foreach($_SERVER as $key => $value) {
					if (substr($key, 0, 5) <> 'HTTP_') {
						continue;
					}
					$header = str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))));
					$headers[$header] = $value;
				}
				return $headers;
			}

			$headers = getRequestHeaders();
			// print_r($headers);
			if($key9 == $headers['Auth-Key']){
				$data = array();
				/* For branches start*/
				$sql2 =  $this->db->query("select * from our_branches order by branch_name ASC");
				foreach ($sql2->result() as $rows2 ){
					$path2 = urldecode("http://www.ruseducation.com/admin/".$rows2->branch_image);
					
					$data['branches'][] = array("id"=>$rows2->branch_id, "path"=>$path2,"name"=>$rows2->branch_name,"phone"=>$rows2->branch_phone,"email"=>$rows2->branch_email,"address"=>$rows2->branch_address);
				}
				/* End branches Coding */
				
				
				echo json_encode($data);
			}else{
				echo json_encode(array('status' => 400, 'message' => 'Restricted'));
				exit;
			}
			
	   
		}
		
	}
	/* Latest Event Methods End */

}
